Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.util.instrum
Interface MfExternalResourceMetricsMBean

All Superinterfaces:
  MfMetricMBean, MfStatusMBean

All Known Implementing Classes:
  MfExternalResourceMetrics

public interface MfExternalResourceMetricsMBean
extends MfMetricMBean

MfExternalResourceMetricsMBean contains the metrics related to an external resource.

Field Summary

Fields inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`AVAIL_CONGESTED, AVAIL_DEGRADED, AVAIL_NORMAL, OPS_FAILED, OPS_RUNNING, OPS_STARTING, OPS_STOPPED, OPS_STOPPING`

Method Summary
`long` | `getAccumulatedOutboundAssociations()` Get the total number of associations since the initialization.
`long` | `getAccumulatedQueriesTime()` Get the accumulated query time.
`long` | `getAccumulatedSqQueriesTime()` Get the accumulated squared query time.
`long` | `getFailedOutboundAssociations()` Get the total number of failed associations since the initialization.
`long` | `getFailedQueries()` Get the number of failed queries.
`long` | `getLastOutboundActivity()` Get the value of sysUpTime at the time this application last had an outbound association..
`long` | `getMaxQueriesTime()` Get the maximum query time.
`long` | `getMinQueriesTime()` Get the minimum query time.
`long` | `getNbQueries()` Get the number of queries.
`long` | `getOutboundAssociations()` Get the number of current associations.
`java.lang.String` | `getProviderUri()` Get the uri of the external resource.

Methods inherited from interface com.sun.mfwk.util.instrum.MfMetricMBean
`disableMonitoring, enableMonitoring, isMonitoringEnabled, resetMetrics`

Methods inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`getAvailabilityState, getAvailStateLastChange, getDegradedTime, getOperationalState, getOpsStateLastChange, getRunningTime`

Method Detail

### getProviderUri

    public java.lang.String getProviderUri()

  Get the uri of the external resource.

### getAccumulatedOutboundAssociations

    public long getAccumulatedOutboundAssociations()

  Get the total number of associations since the initialization.

### getFailedOutboundAssociations

    public long getFailedOutboundAssociations()

  Get the total number of failed associations since the initialization.

### getFailedQueries

    public long getFailedQueries()

  Get the number of failed queries.

### getNbQueries

    public long getNbQueries()

  Get the number of queries.

### getLastOutboundActivity

    public long getLastOutboundActivity()

  Get the value of sysUpTime at the time this application last had an outbound association..

### getOutboundAssociations

    public long getOutboundAssociations()

  Get the number of current associations.

### getMinQueriesTime

    public long getMinQueriesTime()

  Get the minimum query time.

### getMaxQueriesTime

    public long getMaxQueriesTime()

  Get the maximum query time.

### getAccumulatedQueriesTime

    public long getAccumulatedQueriesTime()

  Get the accumulated query time.

### getAccumulatedSqQueriesTime

    public long getAccumulatedSqQueriesTime()

  Get the accumulated squared query time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD